OGRE: Ogre::VertexMorphKeyFrame Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::VertexMorphKeyFrame Class Reference

Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::VertexMorphKeyFrame:

[legend]
List of all members.

## Public Member Functions

| VertexMorphKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~VertexMorphKeyFrame ()
void | setVertexBuffer (const HardwareVertexBufferSharedPtr &buf)
| Sets the vertex buffer containing the source positions for this keyframe.
const HardwareVertexBufferSharedPtr & | getVertexBuffer (void) const
| Gets the vertex buffer containing positions for this keyframe.
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only).
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.

## Protected Attributes

HardwareVertexBufferSharedPtr | mBuffer
Real | mTime
const AnimationTrack * | mParentTrack

## Detailed Description

Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.

Definition at line 148 of file OgreKeyFrame.h.

## Constructor & Destructor Documentation

Ogre::VertexMorphKeyFrame::VertexMorphKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |

| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Ogre::VertexMorphKeyFrame::~VertexMorphKeyFrame | ( |  | ) |

| Definition at line 153 of file OgreKeyFrame.h.

## Member Function Documentation

KeyFrame* Ogre::VertexMorphKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const`[virtual]`

| Clone a keyframe (internal use only). Reimplemented from Ogre::KeyFrame.

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const`[inherited]`

| Gets the time of this keyframe in the animation sequence. Definition at line 60 of file OgreKeyFrame.h.

const HardwareVertexBufferSharedPtr& Ogre::VertexMorphKeyFrame::getVertexBuffer | ( | void |  | ) | const

| Gets the vertex buffer containing positions for this keyframe.

void Ogre::VertexMorphKeyFrame::setVertexBuffer | ( | const HardwareVertexBufferSharedPtr & | buf | ) |

Sets the vertex buffer containing the source positions for this keyframe.

Remarks:
  We assume that positions are the first 3 float elements in this buffer, although we don't necessarily assume they're the only ones in there.

Parameters:

  | buf | Vertex buffer link; will not be modified so can be shared read-only data

## Member Data Documentation

HardwareVertexBufferSharedPtr Ogre::VertexMorphKeyFrame::mBuffer`[protected]`

| Definition at line 170 of file OgreKeyFrame.h.

const AnimationTrack* Ogre::KeyFrame::mParentTrack`[protected, inherited]`

| Definition at line 68 of file OgreKeyFrame.h.

Real Ogre::KeyFrame::mTime`[protected, inherited]`

| Definition at line 67 of file OgreKeyFrame.h.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:59 2008